This is another conversion on linapple originally geared toward retropie.
Now more generic for any frontend.

Changes done by Mark Ormond.

New changes 03/28/16

Added install scripts for Retropie

use retropie-install-from-source.sh to compile from source and install
or use retropie-install.sh to skip the compile and install the binary (This is tested on the pi2/pi3 only!.)

Merged changes by LaurentMarchelli for correct exit using joystick buttons. (THANK YOU!)

New changes 11/02/15

Added the ability to exit using 2 joystick buttons together. See linapple.conf for details.


-Changes-

Now needs SDL_image to compile.
The sdl mouse cursor is disabled.
The charset40.bmp, font.bmp, and splash.bmp have now been encoded in the main executable.
So no need for these files anymore.
Support for the following command line switches.

-1 Mount floppy image in first drive.
-2 Mount floppy image in second drive.
-r Autostart the emulation
-f Start in full screen mode
-b Benchmark and quit.

It now looks for linapple.conf and Master.dsk in the ~/.linapple directory.
If not found it looks in the start directory.

Neither of these files are required for operation, but linapple.conf is needed to change video modes, define joysticks, and etc.

For Joysticks you can define which Joystick index number, axis number, and buttons.

Default for Joystick 1 is index 0, axis 0 and 1, buttons 0 and 1.
Default for Joystick 2 is index 1, axis 0 and 1, button 0.


	Joy0Index	=	0
	Joy1Index	=	1
	Joy0Button1	=	0
	Joy0Button2	=	1
	Joy1Button1	=	0
	Joy0Axis0	=	0
	Joy0Axis1	=	1
	Joy1Axis0	=	0
	Joy1Axis1	=	1





Enjoy,
dabone
